Index: BOOK/boot/common/e2fsprogs.xml
===================================================================
--- BOOK/boot/common/e2fsprogs.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/boot/common/e2fsprogs.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -78,5 +78,5 @@
     <para os="ad">Create needed symlinks for a bootable system:</para>
 
-<screen os="ae"><userinput>ln -s /tools/sbin/{fsck.ext2,fsck.ext3,e2fsck} ${LFS}/sbin</userinput></screen>
+<screen os="ae"><userinput>ln -sv /tools/sbin/{fsck.ext2,fsck.ext3,e2fsck} ${LFS}/sbin</userinput></screen>
 
   </sect2>
Index: BOOK/boot/mips/colo-build.xml
===================================================================
--- BOOK/boot/mips/colo-build.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/boot/mips/colo-build.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -40,5 +40,5 @@
     xpointer="xpointer(//*[@os='c'])"/>
 
-<screen os="ab"><userinput>cp chain/colo-chain.elf ${LFS}/boot/vmlinux
+<screen os="ab"><userinput>cp -v chain/colo-chain.elf ${LFS}/boot/vmlinux
 gzip -9 ${LFS}/boot/vmlinux</userinput></screen>
 
Index: BOOK/boot/mips/creatingdirs.xml
===================================================================
--- BOOK/boot/mips/creatingdirs.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/boot/mips/creatingdirs.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -15,23 +15,23 @@
   xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>install -d ${LFS}/{bin,boot,dev,etc/opt,home,lib,mnt}
-install -d ${LFS}/{sbin,srv,usr/local,var,opt,proc,sys}
-install -d ${LFS}/root -m 0750
-install -d ${LFS}/tmp ${LFS}/var/tmp -m 1777
-install -d ${LFS}/media/{floppy,cdrom}
-install -d ${LFS}/usr/{bin,include,lib,sbin,share,src}
-ln -s share/{man,doc,info} ${LFS}/usr
-install -d ${LFS}/usr/share/{doc,info,locale,man}
-install -d ${LFS}/usr/share/{misc,terminfo,zoneinfo}
-install -d ${LFS}/usr/share/man/man{1,2,3,4,5,6,7,8}
-install -d ${LFS}/usr/local/{bin,etc,include,lib,sbin,share,src}
-ln -s share/{man,doc,info} ${LFS}/usr/local
-install -d ${LFS}/usr/local/share/{doc,info,locale,man}
-install -d ${LFS}/usr/local/share/{misc,terminfo,zoneinfo}
-install -d ${LFS}/usr/local/share/man/man{1,2,3,4,5,6,7,8}
-install -d ${LFS}/var/{lock,log,mail,run,spool}
-install -d ${LFS}/var/{opt,cache,lib/{misc,locate},local}
-install -d ${LFS}/opt/{bin,doc,include,info}
-install -d ${LFS}/opt/{lib,man/man{1,2,3,4,5,6,7,8}}</userinput></screen>
+<screen><userinput>install -dv ${LFS}/{bin,boot,dev,etc/opt,home,lib,mnt}
+install -dv ${LFS}/{sbin,srv,usr/local,var,opt,proc,sys}
+install -dv ${LFS}/root -m 0750
+install -dv ${LFS}/tmp ${LFS}/var/tmp -m 1777
+install -dv ${LFS}/media/{floppy,cdrom}
+install -dv ${LFS}/usr/{bin,include,lib,sbin,share,src}
+ln -sv share/{man,doc,info} ${LFS}/usr
+install -dv ${LFS}/usr/share/{doc,info,locale,man}
+install -dv ${LFS}/usr/share/{misc,terminfo,zoneinfo}
+install -dv ${LFS}/usr/share/man/man{1,2,3,4,5,6,7,8}
+install -dv ${LFS}/usr/local/{bin,etc,include,lib,sbin,share,src}
+ln -sv share/{man,doc,info} ${LFS}/usr/local
+install -dv ${LFS}/usr/local/share/{doc,info,locale,man}
+install -dv ${LFS}/usr/local/share/{misc,terminfo,zoneinfo}
+install -dv ${LFS}/usr/local/share/man/man{1,2,3,4,5,6,7,8}
+install -dv ${LFS}/var/{lock,log,mail,run,spool}
+install -dv ${LFS}/var/{opt,cache,lib/{misc,locate},local}
+install -dv ${LFS}/opt/{bin,doc,include,info}
+install -dv ${LFS}/opt/{lib,man/man{1,2,3,4,5,6,7,8}}</userinput></screen>
 
    <para>These entries are needed for the RaQ2 bootloader. Only use these
@@ -39,5 +39,5 @@
 
 <screen><userinput>cd /${LFS}/boot 
-ln -sf . boot</userinput></screen>
+ln -svf . boot</userinput></screen>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/mips64/createfiles.xml
===================================================================
--- BOOK/boot/mips64/createfiles.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/boot/mips64/createfiles.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -15,9 +15,9 @@
   xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>ln -s /tools/bin/{bash,cat,pwd,stty} ${LFS}/bin
-ln -s /tools/lib/libgcc_s.so{,.1} ${LFS}/usr/lib
-ln -s /tools/lib32/libgcc_s.so{,.1} ${LFS}/usr/lib32
-ln -s /tools/lib64/libgcc_s.so{,.1} ${LFS}/usr/lib64
-ln -s bash ${LFS}/bin/sh</userinput></screen>
+<screen><userinput>ln -sv /tools/bin/{bash,cat,pwd,stty} ${LFS}/bin
+ln -sv /tools/lib/libgcc_s.so{,.1} ${LFS}/usr/lib
+ln -sv /tools/lib32/libgcc_s.so{,.1} ${LFS}/usr/lib32
+ln -sv /tools/lib64/libgcc_s.so{,.1} ${LFS}/usr/lib64
+ln -sv bash ${LFS}/bin/sh</userinput></screen>
 
 </sect1>
Index: BOOK/boot/mips64/creatingdirs.xml
===================================================================
--- BOOK/boot/mips64/creatingdirs.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/boot/mips64/creatingdirs.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -15,26 +15,26 @@
   xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>install -d ${LFS}/{bin,boot,dev,etc/opt,home,lib{,32,64},mnt}
-install -d ${LFS}/{sbin,srv,usr/local,var,opt,proc,sys}
-install -d ${LFS}/root -m 0750
-install -d ${LFS}/tmp ${LFS}/var/tmp -m 1777
-install -d ${LFS}/media/{floppy,cdrom}
-install -d ${LFS}/usr/{bin,include,lib{,32,64},sbin,share,src}
-ln -s share/{man,doc,info} ${LFS}/usr
-install -d ${LFS}/usr/share/{doc,info,locale,man}
-install -d ${LFS}/usr/share/{misc,terminfo,zoneinfo}
-install -d ${LFS}/usr/share/man/man{1,2,3,4,5,6,7,8}
-install -d ${LFS}/usr/local/{bin,etc,include,lib{,32,64},sbin,share,src}
-ln -s share/{man,doc,info} ${LFS}/usr/local
-install -d ${LFS}/usr/local/share/{doc,info,locale,man}
-install -d ${LFS}/usr/local/share/{misc,terminfo,zoneinfo}
-install -d ${LFS}/usr/local/share/man/man{1,2,3,4,5,6,7,8}
-install -d ${LFS}/var/{lock,log,mail,run,spool}
-install -d ${LFS}/var/{opt,cache,lib{,32,64}/{misc,locate},local}
-install -d ${LFS}/opt/{bin,doc,include,info}
-install -d ${LFS}/opt/{lib{,32,64},man/man{1,2,3,4,5,6,7,8}}
-install -d ${LFS}/usr/lib/locale
-ln -s ../lib/locale ${LFS}/usr/lib32
-ln -s ../lib/locale ${LFS}/usr/lib64</userinput></screen>
+<screen><userinput>install -dv ${LFS}/{bin,boot,dev,etc/opt,home,lib{,32,64},mnt}
+install -dv ${LFS}/{sbin,srv,usr/local,var,opt,proc,sys}
+install -dv ${LFS}/root -m 0750
+install -dv ${LFS}/tmp ${LFS}/var/tmp -m 1777
+install -dv ${LFS}/media/{floppy,cdrom}
+install -dv ${LFS}/usr/{bin,include,lib{,32,64},sbin,share,src}
+ln -sv share/{man,doc,info} ${LFS}/usr
+install -dv ${LFS}/usr/share/{doc,info,locale,man}
+install -dv ${LFS}/usr/share/{misc,terminfo,zoneinfo}
+install -dv ${LFS}/usr/share/man/man{1,2,3,4,5,6,7,8}
+install -dv ${LFS}/usr/local/{bin,etc,include,lib{,32,64},sbin,share,src}
+ln -sv share/{man,doc,info} ${LFS}/usr/local
+install -dv ${LFS}/usr/local/share/{doc,info,locale,man}
+install -dv ${LFS}/usr/local/share/{misc,terminfo,zoneinfo}
+install -dv ${LFS}/usr/local/share/man/man{1,2,3,4,5,6,7,8}
+install -dv ${LFS}/var/{lock,log,mail,run,spool}
+install -dv ${LFS}/var/{opt,cache,lib{,32,64}/{misc,locate},local}
+install -dv ${LFS}/opt/{bin,doc,include,info}
+install -dv ${LFS}/opt/{lib{,32,64},man/man{1,2,3,4,5,6,7,8}}
+install -dv ${LFS}/usr/lib/locale
+ln -sv ../lib/locale ${LFS}/usr/lib32
+ln -sv ../lib/locale ${LFS}/usr/lib64</userinput></screen>
 
    <para>These entries are needed for the RaQ2 bootloader. Only use these
@@ -42,5 +42,5 @@
 
 <screen><userinput>cd /${LFS}/boot
-ln -sf . boot</userinput></screen>
+ln -svf . boot</userinput></screen>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/multilib/createfiles.xml
===================================================================
--- BOOK/boot/multilib/createfiles.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/boot/multilib/createfiles.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -15,8 +15,8 @@
   xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>ln -s /tools/bin/{bash,cat,pwd,stty} ${LFS}/bin
-ln -s /tools/lib/libgcc_s.so{,.1} ${LFS}/usr/lib
-ln -s /tools/lib64/libgcc_s.so{,.1} ${LFS}/usr/lib64
-ln -s bash ${LFS}/bin/sh</userinput></screen>
+<screen><userinput>ln -sv /tools/bin/{bash,cat,pwd,stty} ${LFS}/bin
+ln -sv /tools/lib/libgcc_s.so{,.1} ${LFS}/usr/lib
+ln -sv /tools/lib64/libgcc_s.so{,.1} ${LFS}/usr/lib64
+ln -sv bash ${LFS}/bin/sh</userinput></screen>
 
 </sect1>
Index: BOOK/boot/multilib/creatingdirs.xml
===================================================================
--- BOOK/boot/multilib/creatingdirs.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/boot/multilib/creatingdirs.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -15,25 +15,25 @@
   xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>install -d ${LFS}/{bin,boot,dev,etc/opt,home,lib{,64},mnt}
-install -d ${LFS}/{sbin,srv,usr/local,var,opt,proc,sys}
-install -d ${LFS}/root -m 0750
-install -d ${LFS}/tmp ${LFS}/var/tmp -m 1777
-install -d ${LFS}/media/{floppy,cdrom}
-install -d ${LFS}/usr/{bin,include,lib{,64},sbin,share,src}
-ln -s share/{man,doc,info} ${LFS}/usr
-install -d ${LFS}/usr/share/{doc,info,locale,man}
-install -d ${LFS}/usr/share/{misc,terminfo,zoneinfo}
-install -d ${LFS}/usr/share/man/man{1,2,3,4,5,6,7,8}
-install -d ${LFS}/usr/local/{bin,etc,include,lib{,64},sbin,share,src}
-ln -s share/{man,doc,info} ${LFS}/usr/local
-install -d ${LFS}/usr/local/share/{doc,info,locale,man}
-install -d ${LFS}/usr/local/share/{misc,terminfo,zoneinfo}
-install -d ${LFS}/usr/local/share/man/man{1,2,3,4,5,6,7,8}
-install -d ${LFS}/var/{lock,log,mail,run,spool}
-install -d ${LFS}/var/{opt,cache,lib{,64}/{misc,locate},local}
-install -d ${LFS}/opt/{bin,doc,include,info}
-install -d ${LFS}/opt/{lib{,64},man/man{1,2,3,4,5,6,7,8}}
-install -d ${LFS}/usr/lib/locale
-ln -s ../lib/locale ${LFS}/usr/lib64</userinput></screen>
+<screen><userinput>install -dv ${LFS}/{bin,boot,dev,etc/opt,home,lib{,64},mnt}
+install -dv ${LFS}/{sbin,srv,usr/local,var,opt,proc,sys}
+install -dv ${LFS}/root -m 0750
+install -dv ${LFS}/tmp ${LFS}/var/tmp -m 1777
+install -dv ${LFS}/media/{floppy,cdrom}
+install -dv ${LFS}/usr/{bin,include,lib{,64},sbin,share,src}
+ln -sv share/{man,doc,info} ${LFS}/usr
+install -dv ${LFS}/usr/share/{doc,info,locale,man}
+install -dv ${LFS}/usr/share/{misc,terminfo,zoneinfo}
+install -dv ${LFS}/usr/share/man/man{1,2,3,4,5,6,7,8}
+install -dv ${LFS}/usr/local/{bin,etc,include,lib{,64},sbin,share,src}
+ln -sv share/{man,doc,info} ${LFS}/usr/local
+install -dv ${LFS}/usr/local/share/{doc,info,locale,man}
+install -dv ${LFS}/usr/local/share/{misc,terminfo,zoneinfo}
+install -dv ${LFS}/usr/local/share/man/man{1,2,3,4,5,6,7,8}
+install -dv ${LFS}/var/{lock,log,mail,run,spool}
+install -dv ${LFS}/var/{opt,cache,lib{,64}/{misc,locate},local}
+install -dv ${LFS}/opt/{bin,doc,include,info}
+install -dv ${LFS}/opt/{lib{,64},man/man{1,2,3,4,5,6,7,8}}
+install -dv ${LFS}/usr/lib/locale
+ln -sv ../lib/locale ${LFS}/usr/lib64</userinput></screen>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/sparc/elftoaout.xml
===================================================================
--- BOOK/boot/sparc/elftoaout.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/boot/sparc/elftoaout.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -37,5 +37,5 @@
     <para>Install the package:</para>
 
-<screen><userinput>install -m 0755 -s elftoaout /cross-tools/bin/elftoaout</userinput></screen>
+<screen><userinput>install -v -m 0755 -s elftoaout /cross-tools/bin/elftoaout</userinput></screen>
 
   </sect2>
Index: BOOK/boot/x86/grub-build.xml
===================================================================
--- BOOK/boot/x86/grub-build.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/boot/x86/grub-build.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -55,6 +55,6 @@
 
 <screen os="ab"><userinput>make DESTDIR=${LFS} install
-mkdir ${LFS}/boot/grub
-cp ${LFS}/usr/lib/grub/i386-pc/stage{1,2} ${LFS}/boot/grub</userinput></screen>
+mkdir -v ${LFS}/boot/grub
+cp -v ${LFS}/usr/lib/grub/i386-pc/stage{1,2} ${LFS}/boot/grub</userinput></screen>
 
     <para os="ac">The <filename class="directory">i386-pc</filename> directory
Index: BOOK/boot/x86_64/grub-build.xml
===================================================================
--- BOOK/boot/x86_64/grub-build.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/boot/x86_64/grub-build.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -47,6 +47,6 @@
 
 <screen os="ab"><userinput>make DESTDIR=${LFS} install
-mkdir ${LFS}/boot/grub
-cp ${LFS}/usr/lib/grub/x86_64-pc/stage{1,2} ${LFS}/boot/grub</userinput></screen>
+mkdir -v ${LFS}/boot/grub
+cp -v ${LFS}/usr/lib/grub/x86_64-pc/stage{1,2} ${LFS}/boot/grub</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/bootable/mips/colo.xml
===================================================================
--- BOOK/bootable/mips/colo.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/bootable/mips/colo.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -53,6 +53,6 @@
   xpointer="xpointer(//*[@os='v'])"/>
 
-<screen os="f"><userinput>mkdir /etc/colo &amp;&amp;
-ln -s /boot/colo/default.colo /etc/colo</userinput></screen>
+<screen os="f"><userinput>mkdir -v /etc/colo &amp;&amp;
+ln -sv /boot/colo/default.colo /etc/colo</userinput></screen>
 
 </sect1>
Index: BOOK/bootable/x86/grub.xml
===================================================================
--- BOOK/bootable/x86/grub.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/bootable/x86/grub.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -135,6 +135,6 @@
   To satisfy this requirement for GRUB, issue the following command:</para>
 
-<screen os="w"><userinput>mkdir /etc/grub &amp;&amp;
-ln -s /boot/grub/menu.lst /etc/grub</userinput></screen>
+<screen os="w"><userinput>mkdir -v /etc/grub &amp;&amp;
+ln -sv /boot/grub/menu.lst /etc/grub</userinput></screen>
 
 </sect1>
Index: BOOK/bootscripts/common/console.xml
===================================================================
--- BOOK/bootscripts/common/console.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/bootscripts/common/console.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -74,5 +74,5 @@
   following keymap snippet to fix this issue:</para>
 
-<screen><userinput>mkdir -p /etc/kbd &amp;&amp; cat &gt; /etc/kbd/bs-sends-del &lt;&lt;"EOF"
+<screen><userinput>mkdir -pv /etc/kbd &amp;&amp; cat &gt; /etc/kbd/bs-sends-del &lt;&lt;"EOF"
 <literal>                  keycode  14 = Delete Delete Delete Delete
               alt keycode  14 = Meta_Delete
Index: BOOK/bootscripts/common/network.xml
===================================================================
--- BOOK/bootscripts/common/network.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/bootscripts/common/network.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -40,5 +40,5 @@
 
 <screen><userinput>cd /etc/sysconfig/network-devices &amp;&amp;
-mkdir ifconfig.eth0 &amp;&amp;
+mkdir -v ifconfig.eth0 &amp;&amp;
 cat &gt; ifconfig.eth0/ipv4 &lt;&lt; "EOF"
 <literal>ONBOOT=yes
Index: BOOK/chroot/mips64/createfiles.xml
===================================================================
--- BOOK/chroot/mips64/createfiles.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/chroot/mips64/createfiles.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -15,9 +15,9 @@
   xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>ln -s /tools/bin/{bash,cat,pwd,stty} /bin
-ln -s /tools/lib/libgcc_s.so{,.1} /usr/lib
-ln -s /tools/lib32/libgcc_s.so{,.1} /usr/lib32
-ln -s /tools/lib64/libgcc_s.so{,.1} /usr/lib64
-ln -s bash /bin/sh</userinput></screen>
+<screen><userinput>ln -sv /tools/bin/{bash,cat,pwd,stty} /bin
+ln -sv /tools/lib/libgcc_s.so{,.1} /usr/lib
+ln -sv /tools/lib32/libgcc_s.so{,.1} /usr/lib32
+ln -sv /tools/lib64/libgcc_s.so{,.1} /usr/lib64
+ln -sv bash /bin/sh</userinput></screen>
 
 </sect1>
Index: BOOK/chroot/multilib/createfiles.xml
===================================================================
--- BOOK/chroot/multilib/createfiles.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/chroot/multilib/createfiles.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -15,8 +15,8 @@
   xpointer="xpointer(//*[@os='a'])"/>
 
-<screen><userinput>ln -s /tools/bin/{bash,cat,pwd,stty} /bin
-ln -s /tools/lib/libgcc_s.so{,.1} /usr/lib
-ln -s /tools/lib64/libgcc_s.so{,.1} /usr/lib64
-ln -s bash /bin/sh</userinput></screen>
+<screen><userinput>ln -sv /tools/bin/{bash,cat,pwd,stty} /bin
+ln -sv /tools/lib/libgcc_s.so{,.1} /usr/lib
+ln -sv /tools/lib64/libgcc_s.so{,.1} /usr/lib64
+ln -sv bash /bin/sh</userinput></screen>
 
 </sect1>
Index: BOOK/cross-tools/alpha/glibc-headers.xml
===================================================================
--- BOOK/cross-tools/alpha/glibc-headers.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/cross-tools/alpha/glibc-headers.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -28,5 +28,5 @@
     next glibc chapter, we use the gcc that's build right after this chapter.</para>
  	
-<screen os="s2"><userinput>cp configure{,.orig}
+<screen os="s2"><userinput>cp -v configure{,.orig}
 sed -e 's/3.4/3.[0-9]/g' configure.orig > configure</userinput></screen>
 
@@ -142,6 +142,6 @@
    class="directory">/tools/include</filename>:</para>
 
-<screen os="cg"><userinput>install -d /tools/include/bits
-cp bits/stdio_lim.h /tools/include/bits</userinput></screen>
+<screen os="cg"><userinput>install -dv /tools/include/bits
+cp -v bits/stdio_lim.h /tools/include/bits</userinput></screen>
 
    <para os="ch">Now we will create a blank stub file:</para>
Index: BOOK/cross-tools/ppc64/glibc.xml
===================================================================
--- BOOK/cross-tools/ppc64/glibc.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/cross-tools/ppc64/glibc.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -63,5 +63,5 @@
     either size of glibc.</para>
 
-<screen os="t2"><userinput>cp sysdeps/unix/sysv/linux/powerpc/sys/procfs.h{,.orig}
+<screen os="t2"><userinput>cp -v sysdeps/unix/sysv/linux/powerpc/sys/procfs.h{,.orig}
 sed 's/__PPC64_ELF_H/__powerpc64__/' \
     sysdeps/unix/sysv/linux/powerpc/sys/procfs.h.orig \
Index: BOOK/final-preps/aboutlfs.xml
===================================================================
--- BOOK/final-preps/aboutlfs.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/final-preps/aboutlfs.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -26,5 +26,5 @@
 
   <para>Having this variable set is beneficial in that commands such as
-  <command>install -d $LFS/tools</command> can be typed literally. The shell
+  <command>install -dv $LFS/tools</command> can be typed literally. The shell
   will automatically replace <quote>$LFS</quote> with
   <quote>/mnt/lfs</quote> (or whatever the variable was set to) when it
Index: BOOK/final-system/mips/arcload.xml
===================================================================
--- BOOK/final-system/mips/arcload.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/final-system/mips/arcload.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -37,6 +37,6 @@
     <para os="f">Install the package:</para>
 
-<screen os="g"><userinput>install -d /usr/lib/arcload
-cp arcload.ecoff /usr/lib/arcload/sash</userinput></screen>
+<screen os="g"><userinput>install -dv /usr/lib/arcload
+cp -v arcload.ecoff /usr/lib/arcload/sash</userinput></screen>
 
   </sect2>
Index: BOOK/final-system/mips/colo.xml
===================================================================
--- BOOK/final-system/mips/colo.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/final-system/mips/colo.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -36,15 +36,15 @@
     <para os="c">Install the package:</para>
 
-<screen os="d"><userinput>install -d  /usr/lib/colo/examples
-install chain/colo-chain.elf /usr/lib/colo
-install tools/lcdtools/e2fsck-lcd/e2fsck-lcd /sbin
-install tools/lcdtools/e2fsck-lcd/e2fsck-lcd.8 /usr/man/man8
-install tools/lcdtools/paneld/paneld /sbin
-install tools/lcdtools/paneld/paneld.8 /usr/man/man8
-install tools/lcdtools/putlcd/putlcd /sbin
-install tools/lcdtools/putlcd/putlcd.8 /usr/man/man8
-install examples/menu.colo /usr/lib/colo/examples
-install examples/simple.colo /usr/lib/colo/examples
-cp chain/colo-chain.elf /boot/vmlinux
+<screen os="d"><userinput>install -dv  /usr/lib/colo/examples
+install -v chain/colo-chain.elf /usr/lib/colo
+install -v tools/lcdtools/e2fsck-lcd/e2fsck-lcd /sbin
+install -v tools/lcdtools/e2fsck-lcd/e2fsck-lcd.8 /usr/man/man8
+install -v tools/lcdtools/paneld/paneld /sbin
+install -v tools/lcdtools/paneld/paneld.8 /usr/man/man8
+install -v tools/lcdtools/putlcd/putlcd /sbin
+install -v tools/lcdtools/putlcd/putlcd.8 /usr/man/man8
+install -v examples/menu.colo /usr/lib/colo/examples
+install -v examples/simple.colo /usr/lib/colo/examples
+cp -v chain/colo-chain.elf /boot/vmlinux
 gzip -9 /boot/vmlinux</userinput></screen>
 
Index: BOOK/final-system/mips64-64/arcload.xml
===================================================================
--- BOOK/final-system/mips64-64/arcload.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/final-system/mips64-64/arcload.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -37,6 +37,6 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
-<screen><userinput>install -d /usr/lib/arcload
-cp arcload /usr/lib/arcload/sash64</userinput></screen>
+<screen><userinput>install -dv /usr/lib/arcload
+cp -v arcload /usr/lib/arcload/sash64</userinput></screen>
 
   </sect2>
Index: BOOK/final-system/mips64/arcload.xml
===================================================================
--- BOOK/final-system/mips64/arcload.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/final-system/mips64/arcload.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -37,6 +37,6 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
-<screen><userinput>install -d /usr/lib64/arcload
-cp arcload /usr/lib64/arcload/sash64</userinput></screen>
+<screen><userinput>install -dv /usr/lib64/arcload
+cp -v arcload /usr/lib64/arcload/sash64</userinput></screen>
 
   </sect2>
Index: BOOK/final-system/ppc/powerpc-utils.xml
===================================================================
--- BOOK/final-system/ppc/powerpc-utils.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/final-system/ppc/powerpc-utils.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -40,6 +40,6 @@
     <para os="e">Install the package:</para>
 
-<screen os="f"><userinput>install -m755 nvsetenv nvsetvol /usr/sbin
-install -m644 nvsetenv.8 nvsetvol.8 /usr/share/man/man8</userinput></screen>
+<screen os="f"><userinput>install -v -m755 nvsetenv nvsetvol /usr/sbin
+install -v -m644 nvsetenv.8 nvsetvol.8 /usr/share/man/man8</userinput></screen>
 
   </sect2>
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/general.ent	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY version "SVN-20060605">
+<!ENTITY version "SVN-20060606">
 <!ENTITY version-x86 "&version;-x86">
 <!ENTITY version-x86_64 "&version;-x86_64-Multilib">
@@ -16,5 +16,5 @@
 <!ENTITY version-alpha "&version;-ALPHA">
 
-<!ENTITY releasedate "June 5, 2006">
+<!ENTITY releasedate "June 6, 2006">
 <!ENTITY milestone "0.1">
 <!ENTITY generic-version "svn"> <!-- Use "svn", "testing", or "x.y[-pre{x}]" -->
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/introduction/common/changelog.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -38,4 +38,13 @@
 
     <listitem>
+      <para>June 6, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Added many more -v switches for verbosity.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>June 5, 2006</para>
       <itemizedlist>
Index: BOOK/testsuite-tools/common/expect.xml
===================================================================
--- BOOK/testsuite-tools/common/expect.xml	(revision fd40236a29c7cbdf428c12beb7d0e329447831a2)
+++ BOOK/testsuite-tools/common/expect.xml	(revision 661d1a4da925c5b6c4f3a7a087b77c4f51e38cab)
@@ -34,5 +34,5 @@
 
 <screen os="d"><userinput>./configure --prefix=/tools --with-tcl=/tools/lib \
-   --with-tclinclude=/tools/include</userinput></screen>
+    --with-tclinclude=/tools/include</userinput></screen>
 
     <variablelist os="e">