Index: BOOK/final-preps/mips/variables.xml
===================================================================
--- BOOK/final-preps/mips/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/mips/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/mips64-64/variables.xml
===================================================================
--- BOOK/final-preps/mips64-64/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/mips64-64/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/mips64/variables.xml
===================================================================
--- BOOK/final-preps/mips64/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/mips64/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/ppc/variables.xml
===================================================================
--- BOOK/final-preps/ppc/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/ppc/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/ppc64-64/variables.xml
===================================================================
--- BOOK/final-preps/ppc64-64/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/ppc64-64/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/ppc64/variables.xml
===================================================================
--- BOOK/final-preps/ppc64/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/ppc64/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/sparc/variables.xml
===================================================================
--- BOOK/final-preps/sparc/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/sparc/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/sparc64-64/variables.xml
===================================================================
--- BOOK/final-preps/sparc64-64/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/sparc64-64/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/sparc64/variables.xml
===================================================================
--- BOOK/final-preps/sparc64/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/sparc64/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/x86/variables.xml
===================================================================
--- BOOK/final-preps/x86/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/x86/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/x86_64-64/variables.xml
===================================================================
--- BOOK/final-preps/x86_64-64/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/x86_64-64/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 
Index: BOOK/final-preps/x86_64/variables.xml
===================================================================
--- BOOK/final-preps/x86_64/variables.xml	(revision adea10ddeec573851acf8d71a890794504731cb8)
+++ BOOK/final-preps/x86_64/variables.xml	(revision 0666dec48aff156c0c5f4293c9d3a7e889ad56b2)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="ch-cross-tools-variables">
+<sect1 id="ch-final-preps-variables">
   <?dbhtml filename="variables.html"?>
 