Index: BOOK/final-system/common/bc.xml
===================================================================
--- BOOK/final-system/common/bc.xml	(revision 2f0e26b5effc550f9444d01d74631a3fd318bb0a)
+++ BOOK/final-system/common/bc.xml	(revision 733dd64e8279ae40d38c1ae71f86cea353fd185b)
@@ -25,7 +25,18 @@
     <title>Installation of Bc</title>
 
-    <para os="p1">Fix memory leaks:</para>
+    <para os="s1">Change an internal script to use <command>sed</command> 
+        instead of <command>ed</command>:</para>
 
-<screen os="p2"><userinput>patch -Np1 -i ../bc-1.06.95-memory_leak-1.patch</userinput></screen>
+<screen os="s2"><userinput>cat &gt; bc/fix-libmath_h &lt;&lt; "EOF"
+#! /bin/bash
+sed -e '1   s/^/{"/' \
+    -e     's/$/",/' \
+    -e '2,$ s/^/"/'  \
+    -e   '$ d'       \
+    -i libmath.h
+
+sed -e '$ s/$/0}/' \
+-i libmath.h
+EOF</userinput></screen>
 
     <para os="a">Prepare Bc for compilation:</para>
Index: BOOK/final-system/multilib/bc.xml
===================================================================
--- BOOK/final-system/multilib/bc.xml	(revision 2f0e26b5effc550f9444d01d74631a3fd318bb0a)
+++ BOOK/final-system/multilib/bc.xml	(revision 733dd64e8279ae40d38c1ae71f86cea353fd185b)
@@ -24,9 +24,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/bc.xml"
-    xpointer="xpointer(//*[@os='p1'])"/>
+    xpointer="xpointer(//*[@os='s1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/bc.xml"
-    xpointer="xpointer(//*[@os='p2'])"/>
+    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 2f0e26b5effc550f9444d01d74631a3fd318bb0a)
+++ BOOK/introduction/common/changelog.xml	(revision 733dd64e8279ae40d38c1ae71f86cea353fd185b)
@@ -40,8 +40,11 @@
       <itemizedlist>
         <listitem>
+          <para>[William Harrington] - Upgrade BC to 1.07. Fixes
+          ticket <ulink url="&clfs-ticket-root;1105">#1124.</ulink></para> 
+        </listitem>
+        <listitem>
           <para>[William Harrington] - Upgrade Grep to 3.0. Fixes
           ticket <ulink url="&clfs-ticket-root;1105">#1107.</ulink></para> 
         </listitem>
-
         <listitem>
           <para>[William Harrington] - Upgrade Readline to 7.0. Fixes
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision 2f0e26b5effc550f9444d01d74631a3fd318bb0a)
+++ BOOK/materials/common/patches.xml	(revision 733dd64e8279ae40d38c1ae71f86cea353fd185b)
@@ -25,13 +25,4 @@
         url="&patches-root;&bash-branch_update-patch;"/></para>
         <para>MD5 sum: <literal>&bash-branch_update-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Bc Memory Leak Patch - <token>&bc-memory-leak-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&bc-memory-leak-patch;"/></para>
-        <para>MD5 sum: <literal>&bc-memory-leak-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 2f0e26b5effc550f9444d01d74631a3fd318bb0a)
+++ BOOK/packages.ent	(revision 733dd64e8279ae40d38c1ae71f86cea353fd185b)
@@ -31,8 +31,8 @@
 <!ENTITY bash-home "&gnu-software;bash">
 
-<!ENTITY bc-version "1.06.95">
-<!ENTITY bc-size "284 KB">
+<!ENTITY bc-version "1.07">
+<!ENTITY bc-size "420 KB">
 <!ENTITY bc-url "&alpha-gnu;bc/bc-&bc-version;.tar.bz2">
-<!ENTITY bc-md5 "5126a721b73f97d715bb72c13c889035">
+<!ENTITY bc-md5 "cda93857418655ea43590736fc3ca9fc">
 <!ENTITY bc-home "&gnu-software;bc/">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 2f0e26b5effc550f9444d01d74631a3fd318bb0a)
+++ BOOK/patches.ent	(revision 733dd64e8279ae40d38c1ae71f86cea353fd185b)
@@ -8,8 +8,4 @@
 <!ENTITY bash-branch_update-patch-md5 "9f59bec94bfd1023d9c6a76b49187420">
 <!ENTITY bash-branch_update-patch-size "17 KB">
-
-<!ENTITY bc-memory-leak-patch "bc-&bc-version;-memory_leak-1.patch">
-<!ENTITY bc-memory-leak-patch-md5 "877e81fba316fe487ec23501059d54b8">
-<!ENTITY bc-memory-leak-patch-size "1.414 KB">
 
 <!-- Binutils branch update area