Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ BOOK/final-system/mips-chapter.xml	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
@@ -53,5 +53,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/procps.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/shadow.xml"/>
Index: OK/final-system/mips/procps.xml
===================================================================
--- BOOK/final-system/mips/procps.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ 	(revision )
@@ -1,44 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-procps" role="wrap">
-  <?dbhtml filename="procps.html"?>
-
-  <title>Procps-&procps-version;</title>
-
-  <indexterm zone="ch-system-procps">
-    <primary sortas="a-Procps">Procps</primary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/procps.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Procps</title>
-
-    <para os="a">The patch below fixes an issue with Procps. Without this
-    patch when the command <command>ps aux</command> is run you will
-    receive a signal 11.</para>
-
-<screen os="b"><userinput>patch -Np1 -i ../&procps-mips-patch;</userinput></screen>
-
-    <para>Compile the package:</para>
-
-<screen><userinput>make</userinput></screen>
-
-    <para>Install the package:</para>
-
-<screen><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/procps.xml"
-  xpointer="xpointer(id('contents-procps'))"/>
-
-</sect1>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ BOOK/final-system/mips64-chapter.xml	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
@@ -73,7 +73,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/procps.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/procps-n32.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/procps-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/shadow.xml"/>
Index: OK/final-system/mips64/procps-64bit.xml
===================================================================
--- BOOK/final-system/mips64/procps-64bit.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ 	(revision )
@@ -1,46 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-procps" role="wrap">
-  <?dbhtml filename="procps-64bit.html"?>
-
-  <title>Procps-&procps-version; 64 Bit</title>
-
-  <indexterm zone="ch-system-procps">
-    <primary sortas="a-Procps">Procps</primary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/procps.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Procps</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="procps.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="procps.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <para>Compile the package:</para>
-
-<screen><userinput>make CC="gcc ${BUILD64}"</userinput></screen>
-
-    <para>Install the package:</para>
-
-<screen><userinput>make install lib64=lib64</userinput></screen>
-
-  </sect2>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/procps.xml"
-  xpointer="xpointer(id('contents-procps'))"/>
-
-</sect1>
Index: BOOK/final-system/mips64/procps-n32.xml
===================================================================
--- BOOK/final-system/mips64/procps-n32.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ BOOK/final-system/mips64/procps-n32.xml	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
@@ -23,12 +23,4 @@
     <title>Installation of Procps</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="procps.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="procps.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
     <para>Compile the package:</para>
 
Index: OK/final-system/mips64/procps.xml
===================================================================
--- BOOK/final-system/mips64/procps.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ 	(revision )
@@ -1,51 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-procps-32" role="wrap">
-  <?dbhtml filename="procps.html"?>
-
-  <title>Procps-&procps-version; 32 Bit Libraries</title>
-
-  <indexterm zone="ch-system-procps-32">
-    <primary sortas="a-Procps">Procps</primary>
-    <secondary>32 Bit</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../common/procps.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Procps</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../mips/procps.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../mips/procps.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <para>Compile the package:</para>
-
-<screen><userinput>make CC="gcc ${BUILD32}"</userinput></screen>
-
-    <para>Install the package:</para>
-
-<screen><userinput>make install lib64=lib</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-procps" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: BOOK/introduction/mips/changelog.xml
===================================================================
--- BOOK/introduction/mips/changelog.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ BOOK/introduction/mips/changelog.xml	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
@@ -35,4 +35,13 @@
 
     <listitem>
+      <para>November 20, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Removed mips procps patch.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 11, 2005</para>
       <itemizedlist>
Index: BOOK/introduction/mips64-64/changelog.xml
===================================================================
--- BOOK/introduction/mips64-64/changelog.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ BOOK/introduction/mips64-64/changelog.xml	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
@@ -35,4 +35,13 @@
 
     <listitem>
+      <para>November 20, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Removed mips procps patch.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 11, 2005</para>
       <itemizedlist>
Index: BOOK/introduction/mips64/changelog.xml
===================================================================
--- BOOK/introduction/mips64/changelog.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ BOOK/introduction/mips64/changelog.xml	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
@@ -33,4 +33,13 @@
 
 -->
+
+    <listitem>
+      <para>November 20, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Removed mips procps patch.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: BOOK/materials/mips/patches.xml
===================================================================
--- BOOK/materials/mips/patches.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ BOOK/materials/mips/patches.xml	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
@@ -113,12 +113,4 @@
     </varlistentry>
 
-    <varlistentry os="procps-mips-patch">
-      <term>Procps Signal 11 Patch - 1 KB:</term>
-      <listitem>
-        <para><ulink
-        url="&patches-root;procps/&procps-mips-patch;"/></para>
-      </listitem>
-    </varlistentry>
-
   </variablelist>
 
Index: BOOK/materials/mips64-64/patches.xml
===================================================================
--- BOOK/materials/mips64-64/patches.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ BOOK/materials/mips64-64/patches.xml	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
@@ -70,8 +70,4 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='procps-mips-patch'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips64/patches.xml"
     xpointer="xpointer(//*[@os='util-linux-mips64-patch'])"/>
Index: BOOK/materials/mips64/patches.xml
===================================================================
--- BOOK/materials/mips64/patches.xml	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ BOOK/materials/mips64/patches.xml	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
@@ -77,8 +77,4 @@
     xpointer="xpointer(//*[@os='perl-lib64-patch'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../mips/patches.xml"
-    xpointer="xpointer(//*[@os='procps-mips-patch'])"/>
-
     <varlistentry os="util-linux-mips64-patch">
       <term>Util-linux MIPS64 Patch - 1 KB:</term> <listitem>
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 1c7aa1a31a5fc74ca32dcad21e96cbaa92ca9009)
+++ BOOK/patches.ent	(revision 738dbf842bce1a7c0aac39f0ee20341764062875)
@@ -116,6 +116,4 @@
 <!ENTITY module-init-tools-mips_update-patch "module-init-tools-&module-init-tools-version;-mips_config_update-1.patch">
 
-<!ENTITY procps-mips-patch "procps-&procps-version;-fix_mips-1.patch">
-
 <!ENTITY util-linux-mips64-patch "util-linux-&util-linux-version;-mips64_fix-1.patch">
 