Index: bootable/alpha/kernel.xml
===================================================================
--- bootable/alpha/kernel.xml	(revision 9a83e07dcb0a992e4f64dac8d96293403976a1fb)
+++ bootable/alpha/kernel.xml	(revision 762c41427f0d439c66d8b3bcfa7b0a8d3c0f1977)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/kernel.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: bootable/mips/kernel.xml
===================================================================
--- bootable/mips/kernel.xml	(revision 9a83e07dcb0a992e4f64dac8d96293403976a1fb)
+++ bootable/mips/kernel.xml	(revision 762c41427f0d439c66d8b3bcfa7b0a8d3c0f1977)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/kernel.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: bootable/mips64/kernel.xml
===================================================================
--- bootable/mips64/kernel.xml	(revision 9a83e07dcb0a992e4f64dac8d96293403976a1fb)
+++ bootable/mips64/kernel.xml	(revision 762c41427f0d439c66d8b3bcfa7b0a8d3c0f1977)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/kernel.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: bootable/ppc/kernel.xml
===================================================================
--- bootable/ppc/kernel.xml	(revision 9a83e07dcb0a992e4f64dac8d96293403976a1fb)
+++ bootable/ppc/kernel.xml	(revision 762c41427f0d439c66d8b3bcfa7b0a8d3c0f1977)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/kernel.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: bootable/sparc/kernel.xml
===================================================================
--- bootable/sparc/kernel.xml	(revision 9a83e07dcb0a992e4f64dac8d96293403976a1fb)
+++ bootable/sparc/kernel.xml	(revision 762c41427f0d439c66d8b3bcfa7b0a8d3c0f1977)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/kernel.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: bootable/sparc64/kernel.xml
===================================================================
--- bootable/sparc64/kernel.xml	(revision 9a83e07dcb0a992e4f64dac8d96293403976a1fb)
+++ bootable/sparc64/kernel.xml	(revision 762c41427f0d439c66d8b3bcfa7b0a8d3c0f1977)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/kernel.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: bootable/x86/kernel.xml
===================================================================
--- bootable/x86/kernel.xml	(revision 9a83e07dcb0a992e4f64dac8d96293403976a1fb)
+++ bootable/x86/kernel.xml	(revision 762c41427f0d439c66d8b3bcfa7b0a8d3c0f1977)
@@ -19,14 +19,4 @@
   <sect2 role="package"><title/>
     <para>The Linux package contains the Linux kernel.</para>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
 
     <segmentedlist>
Index: bootable/x86_64/kernel.xml
===================================================================
--- bootable/x86_64/kernel.xml	(revision 9a83e07dcb0a992e4f64dac8d96293403976a1fb)
+++ bootable/x86_64/kernel.xml	(revision 762c41427f0d439c66d8b3bcfa7b0a8d3c0f1977)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../x86/kernel.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/kernel.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: bootscripts/common/bootscripts.xml
===================================================================
--- bootscripts/common/bootscripts.xml	(revision 9a83e07dcb0a992e4f64dac8d96293403976a1fb)
+++ bootscripts/common/bootscripts.xml	(revision 762c41427f0d439c66d8b3bcfa7b0a8d3c0f1977)
@@ -24,14 +24,4 @@
 
     <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <segmentedlist>
       <segtitle>&dependencies;</segtitle>
 
Index: bootscripts/mips/bootscripts.xml
===================================================================
--- bootscripts/mips/bootscripts.xml	(revision 9a83e07dcb0a992e4f64dac8d96293403976a1fb)
+++ bootscripts/mips/bootscripts.xml	(revision 762c41427f0d439c66d8b3bcfa7b0a8d3c0f1977)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/bootscripts.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/bootscripts.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/bootscripts.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">