Index: BOOK/appendices/dependencies/alpha.xml
===================================================================
--- BOOK/appendices/dependencies/alpha.xml	(revision 658fdc8ef5953acbf0f9e9a43508e3c45e945e8f)
+++ BOOK/appendices/dependencies/alpha.xml	(revision 766ee22ffb6f9e650974ac9b56a091f2b9e5c39f)
@@ -22,5 +22,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, Diffutils, ELFtoaut, GCC, Glibc,
-         Grep, Make, Ncurses, Sed, and Patch</seg>
+         Grep, Make, Ncurses, Sed and Patch</seg>
         </seglistitem>
       </segmentedlist>
Index: BOOK/appendices/dependencies/common.xml
===================================================================
--- BOOK/appendices/dependencies/common.xml	(revision 658fdc8ef5953acbf0f9e9a43508e3c45e945e8f)
+++ BOOK/appendices/dependencies/common.xml	(revision 766ee22ffb6f9e650974ac9b56a091f2b9e5c39f)
@@ -199,4 +199,31 @@
       </segmentedlist>
 
+<!-- Begin CLFS-Bootscripts dependency info -->
+  <bridgehead renderas="sect2" id="bootscripts-dep">CLFS-Bootscripts</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>Bash, Coreutils, Make and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Coreutils dependency info -->
   <bridgehead renderas="sect2" id="coreutils-dep">Coreutils</bridgehead>
@@ -1365,4 +1392,31 @@
       </segmentedlist>
 
+<!-- Begin Udev Rules dependency info -->
+  <bridgehead renderas="sect2" id="udev-rules-dep">Udev Rules</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>Bash, Coreutils, Make and Sed</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Util-Linux dependency info -->
   <bridgehead renderas="sect2" id="util-linux-dep">Util-Linux</bridgehead>
Index: BOOK/appendices/dependencies/mips.xml
===================================================================
--- BOOK/appendices/dependencies/mips.xml	(revision 658fdc8ef5953acbf0f9e9a43508e3c45e945e8f)
+++ BOOK/appendices/dependencies/mips.xml	(revision 766ee22ffb6f9e650974ac9b56a091f2b9e5c39f)
@@ -21,5 +21,5 @@
 
         <seglistitem>
-         <seg>Binutils, Coreutils, Dvhtool, GCC, Make, and Sed</seg>
+         <seg>Binutils, Coreutils, Dvhtool, GCC, Make and Sed</seg>
         </seglistitem>
       </segmentedlist>
@@ -48,5 +48,5 @@
 
         <seglistitem>
-         <seg>Binutils, Coreutils, GCC, Gzip, and Make</seg>
+         <seg>Binutils, Coreutils, GCC, Gzip and Make</seg>
         </seglistitem>
       </segmentedlist>
@@ -75,5 +75,5 @@
 
         <seglistitem>
-         <seg>Binutils, Coreutils, GCC, and Make</seg>
+         <seg>Binutils, Coreutils, GCC and Make</seg>
         </seglistitem>
       </segmentedlist>
Index: BOOK/appendices/dependencies/x86_64-64.xml
===================================================================
--- BOOK/appendices/dependencies/x86_64-64.xml	(revision 658fdc8ef5953acbf0f9e9a43508e3c45e945e8f)
+++ BOOK/appendices/dependencies/x86_64-64.xml	(revision 766ee22ffb6f9e650974ac9b56a091f2b9e5c39f)
@@ -21,5 +21,5 @@
 
         <seglistitem>
-         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Make, and Patch</seg>
+         <seg>Bash, Binutils, Coreutils, GCC, Glibc, Make and Patch</seg>
         </seglistitem>
       </segmentedlist>
@@ -48,5 +48,5 @@
 
         <seglistitem>
-         <seg>Bash, Bin86, Binutils, Coreutils, GCC, Glibc, Make, and Sed</seg>
+         <seg>Bash, Bin86, Binutils, Coreutils, GCC, Glibc, Make and Sed</seg>
         </seglistitem>
       </segmentedlist>