Index: BOOK/boot/multilib/grub-build.xml
===================================================================
--- BOOK/boot/multilib/grub-build.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/boot/multilib/grub-build.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -32,5 +32,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/x86/grub.xml"
+    href="../x86/grub-build.xml"
     xpointer="xpointer(//*[@os='s2'])"/>
 
Index: BOOK/boot/sparc/silo-build.xml
===================================================================
--- BOOK/boot/sparc/silo-build.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/boot/sparc/silo-build.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -33,5 +33,6 @@
 <para os="ae">This sed allows us to compile the bin2h binary separately.</para>
 
-<screen os="ad"><userinput>sed -i -e 's@\$(PROGRAMS)$@programs\n\nprograms: &amp;@' common/Makefile</userinput></screen>
+<screen os="ad"><userinput>cp -v common/Makefile{,.orig}
+sed -e 's@\$(PROGRAMS)$@programs\n\nprograms: &amp;@' common/Makefile.orig &gt; common/Makefile</userinput></screen>
 
 <para os="af">Compile the bin2h and util binaries for the host.</para>
Index: BOOK/boot/x86/grub-build.xml
===================================================================
--- BOOK/boot/x86/grub-build.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/boot/x86/grub-build.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -31,7 +31,6 @@
     xpointer="xpointer(//*[@os='s1'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/x86/grub.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
+<screen os="s2"><userinput>cp -v grub-core/gnulib/stdio.in.h{,.orig}
+sed -e '/gets is a/d' grub-core/gnulib/stdio.in.h.orig &gt; grub-core/gnulib/stdio.in.h</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/temp-system/64/gcc.xml
===================================================================
--- BOOK/temp-system/64/gcc.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/temp-system/64/gcc.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -52,5 +52,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
+    href="../common/gcc.xml"
     xpointer="xpointer(//*[@os='fix2'])"/>
 
Index: BOOK/temp-system/common/cloog.xml
===================================================================
--- BOOK/temp-system/common/cloog.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/temp-system/common/cloog.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -33,7 +33,6 @@
     xpointer="xpointer(//*[@os='s1'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/cloog.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
+<screen os="s2"><userinput>cp -v Makefile{,.orig}
+sed '/cmake/d' Makefile.orig &gt; Makefile</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/temp-system/common/gcc.xml
===================================================================
--- BOOK/temp-system/common/gcc.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/temp-system/common/gcc.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -51,7 +51,6 @@
     xpointer="xpointer(//*[@os='fix1'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@os='fix2'])"/>
+<screen os="fix2"><userinput>cp -v gcc/Makefile.in{,.orig}
+sed 's@\./fixinc\.sh@-c true@' gcc/Makefile.in.orig &gt; gcc/Makefile.in</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/temp-system/mips64-64/gcc.xml
===================================================================
--- BOOK/temp-system/mips64-64/gcc.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/temp-system/mips64-64/gcc.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -52,5 +52,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
+    href="../common/gcc.xml"
     xpointer="xpointer(//*[@os='fix2'])"/>
 
Index: BOOK/temp-system/mips64/gcc.xml
===================================================================
--- BOOK/temp-system/mips64/gcc.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/temp-system/mips64/gcc.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -52,5 +52,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
+    href="../common/gcc.xml"
     xpointer="xpointer(//*[@os='fix2'])"/>
 
Index: BOOK/temp-system/multilib/cloog.xml
===================================================================
--- BOOK/temp-system/multilib/cloog.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/temp-system/multilib/cloog.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -36,5 +36,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/cloog.xml"
+    href="../common/cloog.xml"
     xpointer="xpointer(//*[@os='s2'])"/>
 
Index: BOOK/temp-system/multilib/gcc.xml
===================================================================
--- BOOK/temp-system/multilib/gcc.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/temp-system/multilib/gcc.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -52,5 +52,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
+    href="../common/gcc.xml"
     xpointer="xpointer(//*[@os='fix2'])"/>
 
Index: BOOK/temp-system/ppc/gcc.xml
===================================================================
--- BOOK/temp-system/ppc/gcc.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/temp-system/ppc/gcc.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -52,5 +52,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
+    href="../common/gcc.xml"
     xpointer="xpointer(//*[@os='fix2'])"/>
 
Index: BOOK/temp-system/ppc64-64/gcc.xml
===================================================================
--- BOOK/temp-system/ppc64-64/gcc.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/temp-system/ppc64-64/gcc.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -52,5 +52,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
+    href="../common/gcc.xml"
     xpointer="xpointer(//*[@os='fix2'])"/>
 
Index: BOOK/temp-system/ppc64/gcc.xml
===================================================================
--- BOOK/temp-system/ppc64/gcc.xml	(revision 223a37562b1c0f4655e551dc7caca1836928bcc6)
+++ BOOK/temp-system/ppc64/gcc.xml	(revision 787b93385f40b96f2692ef2293806943043221dc)
@@ -52,5 +52,5 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
+    href="../common/gcc.xml"
     xpointer="xpointer(//*[@os='fix2'])"/>
 