Index: OK/chroot/common/devices.xml
===================================================================
--- BOOK/chroot/common/devices.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ 	(revision )
@@ -1,38 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-chroot-devices">
-  <?dbhtml filename="devices.html"?>
-
-  <title>Mounting Kernel Filesystems</title>
-
-  <indexterm zone="ch-chroot-devices">
-    <primary sortas="e-/dev/*">/dev/*</primary>
-    <secondary>chroot</secondary>
-  </indexterm>
-
-  <sect2>
-    <title>Mounting Additional Kernel Filesystems</title>
-
-    <para>Mount the proper virtual (kernel) file systems on the
-    newly-created directories:</para>
-
-<screen><userinput>mount -vt devpts -o gid=&gid-tty;,mode=620 none /dev/pts
-mount -vt tmpfs none /dev/shm</userinput></screen>
-
-    <para>The <command>mount</command> commands executed above may result
-    in the following warning message:</para>
-
-<screen><computeroutput>can't open /etc/fstab: No such file or directory.</computeroutput></screen>
-
-    <para>This file&mdash;<filename>/etc/fstab</filename>&mdash;has not
-    been created yet, but is also not required for the file systems to be
-    properly mounted. The warning can be safely ignored.</para>
-
-  </sect2>
-
-</sect1>
Index: BOOK/chroot/common/kernfs.xml
===================================================================
--- BOOK/chroot/common/kernfs.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/common/kernfs.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -27,18 +27,9 @@
   be mounted:</para>
 
-<screen><userinput>mkdir -pv ${CLFS}/{dev,proc,sys}</userinput></screen>
-
-  <para>Now mount the file systems:</para>
-
-<screen><userinput>mount -vt proc proc ${CLFS}/proc
-mount -vt sysfs sysfs ${CLFS}/sys</userinput></screen>
-
-  <para>Remember that if for any reason you stop working on the CLFS system
-  and start again later, it is important to check that these file systems
-  are mounted again before entering the chroot environment.</para>
+<screen><userinput>mkdir -pv ${CLFS}/{dev,proc,run,sys}</userinput></screen>
 
   <para>Two device nodes, <filename class="devicefile">/dev/console</filename>
   and <filename class="devicefile">/dev/null</filename>, are required to be
-  present on the filesystem.  These are needed by the kernel even before
+  present on the file system. These are needed by the kernel even before
   starting Udev early in the boot process, so we create them here:</para>
 
@@ -50,21 +41,24 @@
   <systemitem class="filesystem">devtmpfs</systemitem> file system. For now
   though, we will just use the <quote>bind</quote> option in the mount command
-  to make our host system's /dev structure appear in the new CLFS filesystem:</para>
+  to make our host system's <filename class="directory">/dev</filename> structure appear in the new CLFS file system:</para>
 
 <screen><userinput>mount -v -o bind /dev ${CLFS}/dev</userinput></screen>
 
-  <para>Additional file systems will soon be mounted from within the chroot
-  environment. To keep the host up to date, perform a <quote>fake mount</quote>
-  for each of these now:</para>
+  <para>Now mount the remaining file systems:</para>
 
-<screen><userinput>if [ -h ${CLFS}/dev/shm ]; then
-  link=$(readlink ${CLFS}/dev/shm)
-  mkdir -p ${CLFS}/$link
-  mount -f -vt tmpfs shm ${CLFS}/$link
-  unset link
-else
-  mount -f -vt tmpfs shm ${CLFS}/dev/shm
-fi
-mount -f -vt devpts -o gid=&gid-tty;,mode=620 devpts ${CLFS}/dev/pts</userinput></screen>
+<screen><userinput>mount -vt devpts -o gid=&gid-tty;,mode=620 devpts ${CLFS}/dev/pts
+mount -vt proc proc ${CLFS}/proc
+mount -vt tmpfs tmpfs ${CLFS}/run
+mount -vt sysfs sysfs ${CLFS}/sys</userinput></screen>
+
+  <para>On some host systems, <filename class="directory">/dev/shm</filename>
+  is a symbolic link to <filename class="directory">/run/shm</filename>.
+  If it is, create a directory in <filename class="directory">/run</filename>:</para>
+
+<screen><userinput>[ -h ${CLFS}/dev/shm ] &amp;&amp; mkdir -pv ${CLFS}/$(readlink ${CLFS}/dev/shm)</userinput></screen>
+
+  <para>Remember that if for any reason you stop working on the CLFS system
+  and start again later, it is important to check that these file systems
+  are mounted again before entering the chroot environment.</para>
 
 </sect1>
Index: BOOK/chroot/mips-chapter.xml
===================================================================
--- BOOK/chroot/mips-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/mips-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/createfiles.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/mips64-64-chapter.xml
===================================================================
--- BOOK/chroot/mips64-64-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/mips64-64-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/mips64-chapter.xml
===================================================================
--- BOOK/chroot/mips64-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/mips64-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/ppc-chapter.xml
===================================================================
--- BOOK/chroot/ppc-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/ppc-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/createfiles.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/ppc64-64-chapter.xml
===================================================================
--- BOOK/chroot/ppc64-64-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/ppc64-64-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -19,5 +19,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/createfiles.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/ppc64-chapter.xml
===================================================================
--- BOOK/chroot/ppc64-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/ppc64-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/sparc-chapter.xml
===================================================================
--- BOOK/chroot/sparc-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/sparc-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/createfiles.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/sparc64-64-chapter.xml
===================================================================
--- BOOK/chroot/sparc64-64-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/sparc64-64-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/sparc64-chapter.xml
===================================================================
--- BOOK/chroot/sparc64-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/sparc64-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/x86-chapter.xml
===================================================================
--- BOOK/chroot/x86-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/x86-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/createfiles.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/x86_64-64-chapter.xml
===================================================================
--- BOOK/chroot/x86_64-64-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/x86_64-64-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/chroot/x86_64-chapter.xml
===================================================================
--- BOOK/chroot/x86_64-chapter.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/chroot/x86_64-chapter.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -20,5 +20,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pwdgroup.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/devices.xml"/>
 
 </chapter>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/introduction/common/changelog.xml	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -38,4 +38,16 @@
 
     <listitem>
+      <para>14 July 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Modified instructions for mounting file systems
+          for chroot so that they are all mounted before entering chroot, and
+          added a tmpfs on /run. Took solution for /dev/shm symlink from LFS.
+          Fixes ticket <ulink url="&clfs-ticket-root;971">#971</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>10 July 2014</para>
       <itemizedlist>
Index: BOOK/stylesheets/lfs-xsl/xhtml/lfs-navigational.xsl
===================================================================
--- BOOK/stylesheets/lfs-xsl/xhtml/lfs-navigational.xsl	(revision 0d9d44d3f6156fc0d68ddffbc3e00fb71a06f253)
+++ BOOK/stylesheets/lfs-xsl/xhtml/lfs-navigational.xsl	(revision 799de3363c2790949174b1765b03734922cb89d8)
@@ -157,5 +157,5 @@
 
               <!-- Code for the "To Boot or To Chroot" CLFS links jumps. -->
-            <xsl:when test="$prev[@id='ch-chroot-devices'] or $prev[@id='ch-boot-whatnext']">
+            <xsl:when test="$prev[@id='ch-chroot-pwdgroup'] or $prev[@id='ch-boot-whatnext']">
               <a accesskey="p">
                 <xsl:attribute name="href">