Index: BOOK/final-system/common/vim.xml
===================================================================
--- BOOK/final-system/common/vim.xml	(revision 124ebe0d7a2e658ac4018563dd43a163e88f161d)
+++ BOOK/final-system/common/vim.xml	(revision 817bb1171d271d48ae010662af2a269eb2e40d4f)
@@ -34,14 +34,17 @@
     <title>Installation of Vim</title>
 
-    <important os="w1"><para>The cross-compilation of vim is currently a mystery. Help would be greatly apreciated</para></important>
-
     <para os="a">First, unpack both <filename>vim-&vim-version;.tar.bz2</filename>
     and (optionally) <filename>vim-&vim-version;-lang.tar.gz</filename>
     archives into the same directory.</para>
 
-    <para os="p1">The following patch contains updates from the maintainer. The
+    <para os="p1">The following patch fixes numerous issues with
+    cross-compiling vim</para>
+
+<screen os="p2"><userinput>patch -Np1 -i ../&vim-cross_compile-patch;</userinput></screen>
+
+    <para os="p3">The following patch contains updates from the maintainer. The
     maintainer of Vim only releases these patches to fix serious issues.</para>
 
-<screen os="p2"><userinput>patch -Np1 -i ../&vim-fixes-patch;</userinput></screen>
+<screen os="p4"><userinput>patch -Np1 -i ../&vim-fixes-patch;</userinput></screen>
 
     <para os="b">Change the default location of
@@ -53,5 +56,10 @@
     <para os="d">Prepare Vim for compilation:</para>
 
-<screen os="e"><userinput>./configure --prefix=/usr --enable-multibyte</userinput></screen>
+<screen os="e"><userinput>./configure --prefix=/usr --host=${LFS_TARGET} \
+    --enable-multibyte --enable-gui=no \
+    --disable-gtktest --disable-xim \
+    --with-features=normal --disable-gpm \
+    --without-x --disable-netbeans \
+    --with-tlib=ncurses</userinput></screen>
 
     <variablelist os="f">
@@ -76,21 +84,16 @@
 <screen os="h"><userinput>make</userinput></screen>
 
-    <para os="i">To test the results, issue: <userinput>make test</userinput>.
-    However, this test suite outputs a lot of binary data to the
-    screen, which can cause issues with the settings of the current terminal.
-    This can be resolved by redirecting the output to a log file.</para>
-
-    <para os="j">Install the package:</para>
-
-<screen os="k"><userinput>make install</userinput></screen>
-
-    <para os="l">Many users are used to using <command>vi</command> instead of
+    <para os="i">Install the package:</para>
+
+<screen os="j"><userinput>make DESTDIR=${LFS} install</userinput></screen>
+
+    <para os="k">Many users are used to using <command>vi</command> instead of
     <command>vim</command>. To allow execution of <command>vim</command>
     when users habitually enter <command>vi</command>, create a
     symlink:</para>
 
-<screen os="m"><userinput>ln -sv vim /usr/bin/vi</userinput></screen>
-
-<para os="n">By default, Vim's documentation is installed in
+<screen os="l"><userinput>ln -sv vim ${LFS}/usr/bin/vi</userinput></screen>
+
+<para os="m">By default, Vim's documentation is installed in
 <filename class="directory">/usr/share/vim</filename>.  The following symlink
 allows the documentation to be accessed via
@@ -98,5 +101,5 @@
 it consistent with the location of documentation for other packages:</para>
 
-<screen os="o"><userinput>ln -sv ../vim/vim&vim-version2;/doc /usr/share/doc/vim-&vim-version;</userinput></screen>
+<screen os="n"><userinput>ln -sv ../vim/vim&vim-version2;/doc ${LFS}/usr/share/doc/vim-&vim-version;</userinput></screen>
 
     <para os="p">If an X Window System is going to be installed on the LFS
@@ -127,5 +130,5 @@
     following:</para>
 
-<screen><userinput>cat &gt; /etc/vimrc &lt;&lt; "EOF"
+<screen><userinput>cat &gt; ${LFS}/etc/vimrc &lt;&lt; "EOF"
 <literal>" Begin /etc/vimrc
 
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 124ebe0d7a2e658ac4018563dd43a163e88f161d)
+++ BOOK/general.ent	(revision 817bb1171d271d48ae010662af2a269eb2e40d4f)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY version "SVN-20060605">
+<!ENTITY version "SVN-20060606">
 <!ENTITY version-ARM "&version;-ARM">
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 124ebe0d7a2e658ac4018563dd43a163e88f161d)
+++ BOOK/introduction/common/changelog.xml	(revision 817bb1171d271d48ae010662af2a269eb2e40d4f)
@@ -38,4 +38,13 @@
 
     <listitem>
+      <para>June 6, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Added information about cross-compiling vim.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>May 29, 2006</para>
       <itemizedlist>
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 124ebe0d7a2e658ac4018563dd43a163e88f161d)
+++ BOOK/patches.ent	(revision 817bb1171d271d48ae010662af2a269eb2e40d4f)
@@ -122,4 +122,8 @@
 <!ENTITY vim-fixes-patch-size "20 KB">
 
+<!ENTITY vim-cross_compile-patch "vim-&vim-version;-cross_compile-1.patch">
+<!ENTITY vim-cross_compile-patch-md5 "05da89742f75fc39292fbf7c5ccc17ff">
+<!ENTITY vim-criss_compile-patch-size "28 KB">
+
 <!ENTITY zlib-fpic-patch "zlib-&zlib-version;-fPIC-1.patch">
 <!ENTITY zlib-fpic-patch-md5 "545d60b20bfde6f53023de44438cef59">