Index: BOOK/network/common/dhcpcd.xml
===================================================================
--- BOOK/network/common/dhcpcd.xml	(revision cd95991f142753a7167f6bac7edf6ae33f5f1621)
+++ BOOK/network/common/dhcpcd.xml	(revision 819ba78d99af222ed4f6b18ecd96aae5c5a80ca0)
@@ -31,10 +31,10 @@
     <para os="b">Prepare DHCPCD for compilation:</para>
 
-<screen os="c"><userinput>./configure --prefix=/usr --sbindir=/sbin \
+<screen os="c" role="nodump"><userinput>./configure --prefix=/usr --sbindir=/sbin \
     --sysconfdir=/etc --dbdir=/var/lib/dhcpcd --libexecdir=/usr/lib/dhcpcd</userinput></screen>
 
     <para os="d">Compile the package:</para>
 
-<screen os="e"><userinput>make</userinput></screen>
+<screen os="e" role="nodump"><userinput>make</userinput></screen>
 
     <para os="f">This package does not come with a test suite.</para>
@@ -42,5 +42,5 @@
     <para os="g">Install the package:</para>
 
-<screen os="h"><userinput>make install</userinput></screen>
+<screen os="h" role="nodump"><userinput>make install</userinput></screen>
 
   </sect2>
@@ -51,5 +51,5 @@
     <para>First install the service from the CLFS Bootscripts package:</para>
 
-<screen><userinput>tar -xvf bootscripts-cross-lfs-&bootscripts-clfs-version;.tar.xz
+<screen role="nodump"><userinput>tar -xvf bootscripts-cross-lfs-&bootscripts-clfs-version;.tar.xz
 cd bootscripts-cross-lfs-&bootscripts-clfs-version;
 make install-service-dhcpcd</userinput></screen>
@@ -60,5 +60,5 @@
     additional interfaces:</para>
 
-<screen><userinput>cd /etc/sysconfig/network-devices &amp;&amp;
+<screen role="nodump"><userinput>cd /etc/sysconfig/network-devices &amp;&amp;
 mkdir -v ifconfig.eth0 &amp;&amp;
 cat &gt; ifconfig.eth0/dhcpcd &lt;&lt; "EOF"
Index: BOOK/network/common/hostname.xml
===================================================================
--- BOOK/network/common/hostname.xml	(revision cd95991f142753a7167f6bac7edf6ae33f5f1621)
+++ BOOK/network/common/hostname.xml	(revision 819ba78d99af222ed4f6b18ecd96aae5c5a80ca0)
@@ -22,5 +22,5 @@
   and enter a hostname by running:</para>
 
-  <screen><userinput>echo "HOSTNAME=<replaceable>[clfs]</replaceable>" &gt; /etc/sysconfig/network</userinput></screen>
+  <screen role="nodump"><userinput>echo "HOSTNAME=<replaceable>[clfs]</replaceable>" &gt; /etc/sysconfig/network</userinput></screen>
 
   <para><replaceable>[clfs]</replaceable> needs to be replaced with the
Index: BOOK/network/common/hosts.xml
===================================================================
--- BOOK/network/common/hosts.xml	(revision cd95991f142753a7167f6bac7edf6ae33f5f1621)
+++ BOOK/network/common/hosts.xml	(revision 819ba78d99af222ed4f6b18ecd96aae5c5a80ca0)
@@ -53,5 +53,5 @@
   <para>Create the <filename>/etc/hosts</filename> file by running:</para>
 
-<screen><userinput>cat &gt; /etc/hosts &lt;&lt; "EOF"
+<screen role="nodump"><userinput>cat &gt; /etc/hosts &lt;&lt; "EOF"
 <literal># Begin /etc/hosts (network card version)
 
@@ -72,5 +72,5 @@
   <filename>/etc/hosts</filename> file by running:</para>
 
-<screen><userinput>cat &gt; /etc/hosts &lt;&lt; "EOF"
+<screen role="nodump"><userinput>cat &gt; /etc/hosts &lt;&lt; "EOF"
 <literal># Begin /etc/hosts (no network card version)
 
Index: BOOK/network/common/resolv.xml
===================================================================
--- BOOK/network/common/resolv.xml	(revision cd95991f142753a7167f6bac7edf6ae33f5f1621)
+++ BOOK/network/common/resolv.xml	(revision 819ba78d99af222ed4f6b18ecd96aae5c5a80ca0)
@@ -27,5 +27,5 @@
     file by running the following:</para>
 
-<screen><userinput>cat &gt; /etc/resolv.conf &lt;&lt; "EOF"
+<screen role="nodump"><userinput>cat &gt; /etc/resolv.conf &lt;&lt; "EOF"
 <literal># Begin /etc/resolv.conf
 
Index: BOOK/network/common/static.xml
===================================================================
--- BOOK/network/common/static.xml	(revision cd95991f142753a7167f6bac7edf6ae33f5f1621)
+++ BOOK/network/common/static.xml	(revision 819ba78d99af222ed4f6b18ecd96aae5c5a80ca0)
@@ -26,5 +26,5 @@
     file for the <emphasis>eth0</emphasis> device:</para>
 
-<screen><userinput>cd /etc/sysconfig/network-devices &amp;&amp;
+<screen role="nodump"><userinput>cd /etc/sysconfig/network-devices &amp;&amp;
 mkdir -v ifconfig.eth0 &amp;&amp;
 cat &gt; ifconfig.eth0/ipv4 &lt;&lt; "EOF"
Index: BOOK/network/multilib/dhcpcd.xml
===================================================================
--- BOOK/network/multilib/dhcpcd.xml	(revision cd95991f142753a7167f6bac7edf6ae33f5f1621)
+++ BOOK/network/multilib/dhcpcd.xml	(revision 819ba78d99af222ed4f6b18ecd96aae5c5a80ca0)
@@ -30,5 +30,5 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen os="c"><userinput>CC="gcc ${BUILD64}" ./configure --prefix=/usr --sbindir=/sbin \
+<screen os="c" role="nodump"><userinput>CC="gcc ${BUILD64}" ./configure --prefix=/usr --sbindir=/sbin \
     --sysconfdir=/etc --dbdir=/var/lib/dhcpcd --libexecdir=/usr/lib64/dhcpcd \
     --libdir=/usr/lib64</userinput></screen>