Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision f5eb07a82b4b62f66eff4ba2aa03428f7e88934b)
+++ BOOK/introduction/common/changelog.xml	(revision 833efa29167f73eba7621a4ab1da66f56b189535)
@@ -221,5 +221,5 @@
         <listitem>
           <para>[Jim] - Fixed LZMA from Ticket #198. LZMA utilizes C++ library. By standards
-	  it stays in /usr/lib. So we have modified our build to place LZMA in /usr/bin and not
+          it stays in /usr/lib. So we have modified our build to place LZMA in /usr/bin and not
           /bin.</para>
         </listitem>
@@ -262,5 +262,5 @@
         <listitem>
           <para>[Jim] - From Ryan - Simpler STANDARD_STARTFILE_PREFIX Change, common to all
-	  architectures.</para>
+          architectures.</para>
         </listitem>
         <listitem>
@@ -324,9 +324,9 @@
         <listitem>
           <para>[Jim] - Moved location of dumpkeys to /bin will be needed
-	   for a change coming up in the bootscripts.</para>
+           for a change coming up in the bootscripts.</para>
         </listitem>
         <listitem>
           <para>[Jim] - Added arch to util-linux-ng build. Also fixed descriptions of
-	  configure paramters.</para>
+          configure paramters.</para>
         </listitem>
         <listitem>
@@ -372,5 +372,5 @@
         <listitem>
           <para>[Jim] - Added Patch to File Temp-System. File magic.mgc
-	        under certain circumstances doesn't get created properly.</para>
+                under certain circumstances doesn't get created properly.</para>
         </listitem>
         <listitem>
@@ -389,5 +389,5 @@
         <listitem>
           <para>[Jim] - Added patch that will fix a build issue with Kbd. The patch is
-		for the linux-headers in final-system.</para>
+                for the linux-headers in final-system.</para>
         </listitem>
         <listitem>
@@ -941,5 +941,5 @@
       <para>July 11, 2008</para>
       <itemizedlist>
-	<listitem>
+        <listitem>
           <para>[ken] - Add a patch to address known perl
           vulnerabilities.</para>
@@ -982,5 +982,5 @@
       <para>June 28, 2008</para>
       <itemizedlist>
-	<listitem>
+        <listitem>
           <para>[jciccone] - Downgraded the Vim Branch Update patch back to -2
           from -3.</para>
@@ -1192,5 +1192,5 @@
         <listitem>
           <para>[ken] - Updated Glibc branch update patch to 1A, so that ppc and
-	  ppc64 build again.</para>
+          ppc64 build again.</para>
         </listitem>
       </itemizedlist>
@@ -1220,6 +1220,6 @@
         <listitem>
           <para>[ken] - Make the current Module-Init-Tools testsuite run,
-	  update the instructions because distclean is no longer useful,
-	  and comment on the DOCBOOKTOMAN parameter.</para>
+          update the instructions because distclean is no longer useful,
+          and comment on the DOCBOOKTOMAN parameter.</para>
         </listitem>
       </itemizedlist>
@@ -1371,5 +1371,5 @@
         <listitem>
           <para>[jim] - Updated Bootscripts build to make sure the udev
-			devices get created correctly in boot section.</para>
+                        devices get created correctly in boot section.</para>
         </listitem>
       </itemizedlist>
@@ -1381,5 +1381,5 @@
         <listitem>
           <para>[jim] - Updated the bootscripts to 1.1-pre6.
-		Combined with cblfs bootscripts, all bootscripts in one package.</para>
+                Combined with cblfs bootscripts, all bootscripts in one package.</para>
         </listitem>
         <listitem>
@@ -1422,6 +1422,6 @@
         <listitem>
           <para>[jim] - Updated the boot section Util-Linux-NG Build. Fixes
-		issues where files were missing during bootup and the ability
-		to login.</para>
+                issues where files were missing during bootup and the ability
+                to login.</para>
         </listitem>
       </itemizedlist>
@@ -1498,6 +1498,6 @@
         <listitem>
           <para>[jim] - Updated Udev to 115.
-			This change also removed udev-cross-lfs package
-			since our rules are the same as base ones installed.</para>
+                        This change also removed udev-cross-lfs package
+                        since our rules are the same as base ones installed.</para>
         </listitem>
         <listitem>
@@ -1611,5 +1611,5 @@
         <listitem>
           <para>[ken] - Make coreutils build in temp-system when the host cannot
-	  run the target programs.</para>
+          run the target programs.</para>
         </listitem>
       </itemizedlist>
@@ -1713,5 +1713,5 @@
         <listitem>
           <para>[jhuntwork] - We don't use the uname patch for temp-system Coreutils.
-	  No need to 'touch man/uname.1'.</para>
+          No need to 'touch man/uname.1'.</para>
         </listitem>
       </itemizedlist>
@@ -2125,5 +2125,5 @@
         <listitem>
           <para>[jim] - Change to E2FSProgs, does not pick up the CC or LD
-	  variables.</para>
+          variables.</para>
         </listitem>
       </itemizedlist>
@@ -2301,5 +2301,5 @@
           temp-system bash as it is no longer needed with Bash 3.2.</para>
         </listitem>
-	<listitem>
+        <listitem>
           <para>[Chris] - Added command to man instructions to comment out
           MANPATH /usr/local/man (in addition to /usr/man).</para>