Index: udev/35-helper.rules
===================================================================
--- udev/35-helper.rules	(revision 709291c49e55e4e095f589db86fb210e18cc2d62)
+++ udev/35-helper.rules	(revision 858a93d5f2ac128c795781c7154121f480d91a0b)
@@ -24,18 +24,17 @@
 BUS=="scsi",	KERNEL=="sg[0-9]*", ACTION=="add", DRIVER=="sr", GROUP="cdrom"
 
-BUS=="ide",	ENV{ID_CDROM}=="?*", PROGRAM="cdsymlink_helper.sh %k ide", SYMLINK+="cdrom%c"
-BUS=="ide",	ENV{ID_CDROM_CD_R}=="?*", PROGRAM="cdsymlink_helper.sh %k ide", SYMLINK+="cdr%c"
-BUS=="ide",	ENV{ID_CDROM_CD_RW}=="?*", PROGRAM="cdsymlink_helper.sh %k ide", SYMLINK+="cdrw%c"
-BUS=="ide",	ENV{ID_CDROM_DVD}=="?*", PROGRAM="cdsymlink_helper.sh %k ide", SYMLINK+="dvd%c"
-BUS=="ide",	ENV{ID_CDROM_DVD_R}=="?*", PROGRAM="cdsymlink_helper.sh %k ide", SYMLINK+="dvdrw%c"
+BUS=="ide", ENV{ID_CDROM}=="?*",	PROGRAM="cdsymlink_helper.sh %k ide", SYMLINK+="cdrom%c"
+BUS=="ide", ENV{ID_CDROM_CD_R}=="?*",	PROGRAM="cdsymlink_helper.sh %k ide", SYMLINK+="cdr%c"
+BUS=="ide", ENV{ID_CDROM_CD_RW}=="?*",	PROGRAM="cdsymlink_helper.sh %k ide", SYMLINK+="cdrw%c"
+BUS=="ide", ENV{ID_CDROM_DVD}=="?*",	PROGRAM="cdsymlink_helper.sh %k ide", SYMLINK+="dvd%c"
+BUS=="ide", ENV{ID_CDROM_DVD_R}=="?*",	PROGRAM="cdsymlink_helper.sh %k ide", SYMLINK+="dvdrw%c"
 
-BUS=="scsi",	ENV{ID_CDROM}=="?*", PROGRAM="cdsymlink_helper.sh %n scsi", SYMLINK+="cdrom%c"
-BUS=="scsi",	ENV{ID_CDROM_CD_R}=="?*", PROGRAM="cdsymlink_helper.sh %n scsi", SYMLINK+="cdr%c"
-BUS=="scsi",	ENV{ID_CDROM_CD_RW}=="?*", PROGRAM="cdsymlink_helper.sh %n scsi", SYMLINK+="cdrw%c"
-BUS=="scsi",	ENV{ID_CDROM_DVD}=="?*", PROGRAM="cdsymlink_helper.sh %n scsi", SYMLINK+="dvd%c"
-BUS=="scsi",	ENV{ID_CDROM_DVD_R}=="?*", PROGRAM="cdsymlink_helper.sh %n scsi", SYMLINK+="dvdrw%c"
+BUS=="scsi", ENV{ID_CDROM}=="?*",	PROGRAM="cdsymlink_helper.sh %n scsi", SYMLINK+="cdrom%c"
+BUS=="scsi", ENV{ID_CDROM_CD_R}=="?*",	PROGRAM="cdsymlink_helper.sh %n scsi", SYMLINK+="cdr%c"
+BUS=="scsi", ENV{ID_CDROM_CD_RW}=="?*",	PROGRAM="cdsymlink_helper.sh %n scsi", SYMLINK+="cdrw%c"
+BUS=="scsi", ENV{ID_CDROM_DVD}=="?*",	PROGRAM="cdsymlink_helper.sh %n scsi", SYMLINK+="dvd%c"
+BUS=="scsi", ENV{ID_CDROM_DVD_R}=="?*",	PROGRAM="cdsymlink_helper.sh %n scsi", SYMLINK+="dvdrw%c"
 
 # adds floppy devices
 KERNEL=="fd[0-9]*", ACTION=="add", SYSFS{cmos}=="*", RUN+="create_floppy_devices -c -t $sysfs{cmos} -m %M /dev/%k"t
 
-
Index: udev/50-udev.rules
===================================================================
--- udev/50-udev.rules	(revision 709291c49e55e4e095f589db86fb210e18cc2d62)
+++ udev/50-udev.rules	(revision 858a93d5f2ac128c795781c7154121f480d91a0b)
@@ -19,31 +19,30 @@
 
 # console
-KERNEL=="pty[pqrstuvwxyzabcdef][0123456789abcdef]", 	NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
-KERNEL=="tty[pqrstuvwxyzabcdef][0123456789abcdef]", 	NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
-KERNEL=="vcs*",						NAME="%k", GROUP="tty", MODE="620", OPTIONS="last_rule"
-KERNEL=="tty",						NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
-KERNEL=="tty[0-9]*",					NAME="%k", GROUP="tty", MODE="620", OPTIONS="last_rule"
-KERNEL=="console",					NAME="%k", MODE="600", OPTIONS="last_rule"
-KERNEL=="ptmx",						NAME="%k", GROUP="tty", MODE="666", OPTIONS="last_rule"
+KERNEL=="pty[pqrstuvwxyzabcdef][0123456789abcdef]", 	GROUP="tty", MODE="666", OPTIONS="last_rule"
+KERNEL=="tty[pqrstuvwxyzabcdef][0123456789abcdef]", 	GROUP="tty", MODE="666", OPTIONS="last_rule"
+KERNEL=="vcs*",						GROUP="tty", MODE="620", OPTIONS="last_rule"
+KERNEL=="tty",						GROUP="tty", MODE="666", OPTIONS="last_rule"
+KERNEL=="tty[0-9]*",					GROUP="tty", MODE="620", OPTIONS="last_rule"
+KERNEL=="console",					MODE="600", OPTIONS="last_rule"
+KERNEL=="ptmx",						GROUP="tty", MODE="666", OPTIONS="last_rule"
 
 # serial devices
-KERNEL=="tty[A-Z]*",		NAME="%k", GROUP="uucp"
-KERNEL=="pppox*",		NAME="%k", GROUP="uucp"
-KERNEL=="ircomm*",		NAME="%k", GROUP="uucp"
-KERNEL=="modems/mwave*",	NAME="%k", GROUP="uucp"
-KERNEL=="hvc*",			NAME="%k", GROUP="uucp"
-KERNEL=="hvsi*",		NAME="%k", GROUP="uucp"
-KERNEL=="iseries/vtty*",	NAME="%k", GROUP="uucp"
+KERNEL=="tty[A-Z]*",		GROUP="uucp"
+KERNEL=="pppox*",		GROUP="uucp"
+KERNEL=="ircomm*",		GROUP="uucp"
+KERNEL=="modems/mwave*",	GROUP="uucp"
+KERNEL=="hvc*",			GROUP="uucp"
+KERNEL=="hvsi*",		GROUP="uucp"
+KERNEL=="iseries/vtty*",	GROUP="uucp"
 KERNEL=="ttyUSB*", 		SYSFS{product}=="[Pp]alm*Handheld*", SYMLINK+="pilot"
-KERNEL=="ttyUSB*", 		SYSFS{product}=="[Hh]andspring*Treo*|[Hh]andspring*Visor*", SYMLINK+="pilot"
 
 # video/graphics
 SUBSYSTEM=="video4linux",	GROUP="video"
 SUBSYSTEM=="graphics"		GROUP="video"
-KERNEL=="vtx*",			NAME="%k", GROUP="video"
-KERNEL=="vbi*",			NAME="%k", GROUP="video"
-KERNEL=="winradio*",		NAME="%k", GROUP="video"
-KERNEL=="vttuner*",		NAME="%k", GROUP="video"
-KERNEL=="nvidia*",		NAME="%k", GROUP="video"
+KERNEL=="vtx*",			GROUP="video"
+KERNEL=="vbi*",			GROUP="video"
+KERNEL=="winradio*",		GROUP="video"
+KERNEL=="vttuner*",		GROUP="video"
+KERNEL=="nvidia*",		GROUP="video"
 KERNEL=="video0",		SYMLINK+="video"
 KERNEL=="radio0",		SYMLINK+="radio"
@@ -61,10 +60,10 @@
 KERNEL=="ts*",			NAME="input/%k", MODE="0600"
 KERNEL=="uinput",		NAME="input/%k", MODE="0600"
-KERNEL=="lirc0",		NAME="%k", SYMLINK+="lirc"
+KERNEL=="lirc0",		SYMLINK+="lirc"
 
 # printer
 SUBSYSTEM=="usb",		KERNEL=="lp*", NAME="usb/%k", SYMLINK+="usb%k", GROUP="lp"
 SUBSYSTEM=="printer",		KERNEL=="lp*", NAME="%k", GROUP="lp"
-KERNEL=="irlpt*",		NAME="%k", GROUP="lp"
+KERNEL=="irlpt*",		GROUP="lp"
 
 # cpu devices
@@ -74,7 +73,7 @@
 
 # IEEE1394 devices
-KERNEL=="raw1394*",		NAME="%k", GROUP="video"
-KERNEL=="dv1394*",		NAME="%k", SYMLINK+="dv1394/%n", GROUP="video"
-KERNEL=="video1394*",		NAME="%k", SYMLINK+="video1394/%n", GROUP="video"
+KERNEL=="raw1394*",		GROUP="video"
+KERNEL=="dv1394*",		SYMLINK+="dv1394/%n", GROUP="video"
+KERNEL=="video1394*",		SYMLINK+="video1394/%n", GROUP="video"
 
 # 183 = /dev/hwrng        Generic random number generator
@@ -94,27 +93,27 @@
 
 # misc devices
-KERNEL=="mem",			NAME="%k", GROUP="kmem", MODE="640"
-KERNEL=="kmem",			NAME="%k", GROUP="kmem", MODE="640"
-KERNEL=="port",			NAME="%k", GROUP="kmem", MODE="640"
-KERNEL=="nvram",		NAME="%k", GROUP="kmem", MODE="600"
-KERNEL=="null",			NAME="%k", MODE="666"
-KERNEL=="zero",			NAME="%k", MODE="666"
-KERNEL=="full",			NAME="%k", MODE="622"
-KERNEL=="random",		NAME="%k", MODE="666"
-KERNEL=="urandom",		NAME="%k", MODE="644"
+KERNEL=="mem",			GROUP="kmem", MODE="640"
+KERNEL=="kmem",			GROUP="kmem", MODE="640"
+KERNEL=="port",			GROUP="kmem", MODE="640"
+KERNEL=="nvram",		GROUP="kmem", MODE="600"
+KERNEL=="null",			MODE="666"
+KERNEL=="zero",			MODE="666"
+KERNEL=="full",			MODE="622"
+KERNEL=="random",		MODE="666"
+KERNEL=="urandom",		MODE="644"
 KERNEL=="rtc",			GROUP="audio"
-KERNEL=="sonypi",		MODE="0666"
-KERNEL=="agpgart",		MODE="0600", GROUP="video"
-KERNEL=="djs*",			NAME="%k", MODE="644"
-KERNEL=="sgi_*",		NAME="%k", MODE="666"
-KERNEL=="rrom*",		NAME="%k", MODE="400"
-KERNEL=="rflash*",		NAME="%k", MODE="400"
-KERNEL=="usbscanner*",		NAME="%k", MODE="644"
-KERNEL=="3270/ttycons*",	NAME="%k", MODE="600"
-KERNEL=="3270/tub*",		NAME="%k", MODE="666"
-KERNEL=="3270/tubcons*",	NAME="%k", MODE="600"
-KERNEL=="ica",			NAME="%k", MODE="666"
-KERNEL=="z90crypt",		NAME="%k", MODE="666"
-KERNEL=="mmtimer",		NAME="%k", MODE="444"
+KERNEL=="sonypi",		MODE="666"
+KERNEL=="agpgart",		MODE="600", GROUP="video"
+KERNEL=="djs*",			MODE="644"
+KERNEL=="sgi_*",		MODE="666"
+KERNEL=="rrom*",		MODE="400"
+KERNEL=="rflash*",		MODE="400"
+KERNEL=="usbscanner*",		MODE="644"
+KERNEL=="3270/ttycons*",	MODE="600"
+KERNEL=="3270/tub*",		MODE="666"
+KERNEL=="3270/tubcons*",	MODE="600"
+KERNEL=="ica",			MODE="666"
+KERNEL=="z90crypt",		MODE="666"
+KERNEL=="mmtimer",		MODE="444"
 KERNEL=="auer[0-9]*"		NAME="usb/%k"
 
@@ -134,32 +133,30 @@
 
 # device mapper
-KERNEL=="device-mapper", 	NAME="%k", SYMLINK+="mapper/control"
+KERNEL=="device-mapper", 	SYMLINK+="mapper/control"
 
 # misc storage devices (non-block)
-KERNEL=="sg*",			NAME="%k", GROUP="disk", MODE="640"
-KERNEL=="st*",			NAME="%k", GROUP="tape"
-KERNEL=="nst*",			NAME="%k", GROUP="tape"
-KERNEL=="initrd",		NAME="%k", GROUP="disk"
-KERNEL=="qft*",			NAME="%k", GROUP="tape"
-KERNEL=="nqft*",		NAME="%k", GROUP="tape"
-KERNEL=="zqft*",		NAME="%k", GROUP="tape"
-KERNEL=="nzqft*",		NAME="%k", GROUP="tape"
-KERNEL=="rawqft*",		NAME="%k", GROUP="tape"
-KERNEL=="nrawqft*",		NAME="%k", GROUP="tape"
-KERNEL=="pf*",			NAME="%k", GROUP="disk"
-KERNEL=="sch*",			NAME="%k", GROUP="disk"
-KERNEL=="pt*",			NAME="%k", GROUP="tape"
-KERNEL=="npt*",			NAME="%k", GROUP="tape"
-KERNEL=="pg*",			NAME="%k", GROUP="disk"
-KERNEL=="evms/block_device*",	NAME="%k", GROUP="disk"
-KERNEL=="rawctl*",		NAME="raw/%k", GROUP="disk"
-KERNEL=="raw[0-9]*", 		NAME="raw/%k", GROUP="disk"
-KERNEL=="osst*",		NAME="%k", GROUP="tape"
-KERNEL=="nosst*",		NAME="%k", GROUP="tape"
-KERNEL=="iseries/vt*",		NAME="%k", GROUP="disk"
-KERNEL=="iseries/nvt*",		NAME="%k", GROUP="disk"
-KERNEL=="iseries/ibmsis*",	NAME="%k", GROUP="disk"
+KERNEL=="sg*",			GROUP="disk", MODE="640"
+KERNEL=="st*",			GROUP="tape"
+KERNEL=="nst*",			GROUP="tape"
+KERNEL=="initrd",		GROUP="disk"
+KERNEL=="qft*",			GROUP="tape"
+KERNEL=="nqft*",		GROUP="tape"
+KERNEL=="zqft*",		GROUP="tape"
+KERNEL=="nzqft*",		GROUP="tape"
+KERNEL=="rawqft*",		GROUP="tape"
+KERNEL=="nrawqft*",		GROUP="tape"
+KERNEL=="pf*",			GROUP="disk"
+KERNEL=="sch*",			GROUP="disk"
+KERNEL=="pt*",			GROUP="tape"
+KERNEL=="npt*",			GROUP="tape"
+KERNEL=="pg*",			GROUP="disk"
+KERNEL=="evms/block_device*",	GROUP="disk"
+KERNEL=="rawctl*",		GROUP="disk"
+KERNEL=="osst*",		GROUP="tape"
+KERNEL=="nosst*",		GROUP="tape"
+KERNEL=="iseries/vt*",		GROUP="disk"
+KERNEL=="iseries/nvt*",		GROUP="disk"
+KERNEL=="iseries/ibmsis*",	GROUP="disk"
 
 # libusb device access
 SUBSYSTEM=="usb_device", 	PROGRAM="/bin/sh -c 'K=%k; K=$${K#usbdev}; printf bus/usb/%%03i/%%03i $${K%%%%.*} $${K#*.}'", NAME="%c", MODE="0644"
-
Index: udev/90-user.rules
===================================================================
--- udev/90-user.rules	(revision 709291c49e55e4e095f589db86fb210e18cc2d62)
+++ udev/90-user.rules	(revision 858a93d5f2ac128c795781c7154121f480d91a0b)
@@ -17,3 +17,3 @@
 
 # Create Mouse Symlink
-KERNEL=="psaux",        NAME="%k", SYMLINK+="mouse"
+KERNEL=="psaux",        SYMLINK+="mouse"