Index: final-system/mips64/make.xml
===================================================================
--- final-system/mips64/make.xml	(revision 65d82b0f40d84080176ba46442b9dec2e897b2eb)
+++ final-system/mips64/make.xml	(revision 0877a18db860780109507540949621c3a8f108b8)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/make.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/make.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/make.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: final-system/mips64/mktemp.xml
===================================================================
--- final-system/mips64/mktemp.xml	(revision 65d82b0f40d84080176ba46442b9dec2e897b2eb)
+++ final-system/mips64/mktemp.xml	(revision 0877a18db860780109507540949621c3a8f108b8)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/mktemp.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/mktemp.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/mktemp.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: final-system/mips64/module-init-tools.xml
===================================================================
--- final-system/mips64/module-init-tools.xml	(revision 65d82b0f40d84080176ba46442b9dec2e897b2eb)
+++ final-system/mips64/module-init-tools.xml	(revision 0877a18db860780109507540949621c3a8f108b8)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/module-init-tools.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/module-init-tools.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/module-init-tools.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: final-system/mips64/procps-64bit.xml
===================================================================
--- final-system/mips64/procps-64bit.xml	(revision 65d82b0f40d84080176ba46442b9dec2e897b2eb)
+++ final-system/mips64/procps-64bit.xml	(revision 0877a18db860780109507540949621c3a8f108b8)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/procps.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/procps.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/procps.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: final-system/mips64/procps-n32.xml
===================================================================
--- final-system/mips64/procps-n32.xml	(revision 65d82b0f40d84080176ba46442b9dec2e897b2eb)
+++ final-system/mips64/procps-n32.xml	(revision 0877a18db860780109507540949621c3a8f108b8)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/procps.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/procps.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/procps.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: final-system/mips64/procps.xml
===================================================================
--- final-system/mips64/procps.xml	(revision 65d82b0f40d84080176ba46442b9dec2e897b2eb)
+++ final-system/mips64/procps.xml	(revision 0877a18db860780109507540949621c3a8f108b8)
@@ -18,26 +18,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/procps.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/procps.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/procps.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: final-system/mips64/sysvinit.xml
===================================================================
--- final-system/mips64/sysvinit.xml	(revision 65d82b0f40d84080176ba46442b9dec2e897b2eb)
+++ final-system/mips64/sysvinit.xml	(revision 0877a18db860780109507540949621c3a8f108b8)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/sysvinit.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/sysvinit.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/sysvinit.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
Index: final-system/mips64/util-linux.xml
===================================================================
--- final-system/mips64/util-linux.xml	(revision 65d82b0f40d84080176ba46442b9dec2e897b2eb)
+++ final-system/mips64/util-linux.xml	(revision 0877a18db860780109507540949621c3a8f108b8)
@@ -17,26 +17,7 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@role='package']/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>Not checked yet</seg>
-        <seg>Not checked yet</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@role='package']/segmentedlist[2])"/>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/util-linux.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"